Patch Enrichment Field Extraction
curl --request PATCH \
--url https://api.example.com/v1/enrichment-field-extractions/{extraction_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_active": true,
"description": "<string>"
}
'import requests
url = "https://api.example.com/v1/enrichment-field-extractions/{extraction_uuid}"
payload = {
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_active": True,
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
source_path: '<string>',
target_key: '<string>',
value_type: '<string>',
is_active: true,
description: '<string>'
})
};
fetch('https://api.example.com/v1/enrichment-field-extractions/{extraction_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_system": true,
"is_active": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Field Extractions
Update Field Extraction
PATCH
/
v1
/
enrichment-field-extractions
/
{extraction_uuid}
Patch Enrichment Field Extraction
Path Parameters
Body
application/json
⌘I

